> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new account

> Create a new account under your organization



## OpenAPI

````yaml post /api/v2/createAccount
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/createAccount:
    post:
      tags:
        - Accounts
      summary: Create a new account
      description: Create a new account under your organization
      parameters:
        - name: targetOrganizationId
          in: query
          description: Organization Id to create account in
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                accountName:
                  description: Account Name
                  type: string
                  example: Acme Solar Bay Area Support Agent
                externalAccountId:
                  description: >-
                    External Account Id to match with your internal system
                    account Id
                  type: string
                  example: AC_12345
                externalBillingId:
                  description: External Id to match with your internal billing system
                  type: string
                  example: billing-id-6789
                integrations:
                  description: >-
                    Optional list of third-party app integrations to set up at
                    org creation
                  type: array
                  items:
                    type: object
                    required:
                      - appId
                      - appVersion
                      - appData
                    properties:
                      appId:
                        type: string
                        example: someappId
                      appVersion:
                        type: string
                        example: v1
                      appData:
                        type: object
                        description: Key/value settings specific to the integration
                        additionalProperties:
                          type: string
                        example:
                          apiToken: appsApiToken
                  example:
                    - appId: some-app-id
                      appVersion: v1
                      appData:
                        apiToken: APIToken
                    - appId: another-example-app
                      appVersion: v2
                      appData:
                        accountSid: sidxxxxxxx
                        accountToken: tokenxxxxxxx
                        apiUrl: https://someurl.example
      responses:
        '201':
          description: Account created
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Account created
                  account:
                    type: string
                    example: New Account object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````